Package org.eclipse.graphiti.mm.algorithms

# Interface GraphicsAlgorithm

All Superinterfaces:
  `AbstractStyle`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PropertyContainer`

All Known Subinterfaces:
  `AbstractText`, `Ellipse`, `Image`, `MultiText`, `PlatformGraphicsAlgorithm`, `Polygon`, `Polyline`, `Rectangle`, `RoundedRectangle`, `Text`

All Known Implementing Classes:
  `AbstractTextImpl`, `EllipseImpl`, `GraphicsAlgorithmImpl`, `ImageImpl`, `MultiTextImpl`, `PlatformGraphicsAlgorithmImpl`, `PolygonImpl`, `PolylineImpl`, `RectangleImpl`, `RoundedRectangleImpl`, `TextImpl`

public interface GraphicsAlgorithm extends GraphicsAlgorithmContainer, AbstractStyle
A representation of the model object 'Graphics Algorithm'.

The following features are supported:

- `Graphics Algorithm Children`
- `Parent Graphics Algorithm`
- `Pictogram Element`
- `Width`
- `Height`
- `X`
- `Y`
- `Style`

See Also:
  - `AlgorithmsPackage.getGraphicsAlgorithm()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<GraphicsAlgorithm>`
`getGraphicsAlgorithmChildren()`
Returns the value of the 'Graphics Algorithm Children' containment reference list.
`int`
`getHeight()`
Returns the value of the 'Height' attribute.
`GraphicsAlgorithm`
`getParentGraphicsAlgorithm()`
Returns the value of the 'Parent Graphics Algorithm' container reference.
`PictogramElement`
`getPictogramElement()`
Returns the value of the 'Pictogram Element' container reference.
`Style`
`getStyle()`
Returns the value of the 'Style' reference.
`int`
`getWidth()`
Returns the value of the 'Width' attribute.
`int`
`getX()`
Returns the value of the 'X' attribute.
`int`
`getY()`
Returns the value of the 'Y' attribute.
`void`
`setHeight(int value)`
Sets the value of the '`Height`' attribute.
`void`
`setParentGraphicsAlgorithm(GraphicsAlgorithm value)`
Sets the value of the '`Parent Graphics Algorithm`' container reference.
`void`
`setPictogramElement(PictogramElement value)`
Sets the value of the '`Pictogram Element`' container reference.
`void`
`setStyle(Style value)`
Sets the value of the '`Style`' reference.
`void`
`setWidth(int value)`
Sets the value of the '`Width`' attribute.
`void`
`setX(int value)`
Sets the value of the '`X`' attribute.
`void`
`setY(int value)`
Sets the value of the '`Y`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### getGraphicsAlgorithmChildren

org.eclipse.emf.common.util.EList<GraphicsAlgorithm> getGraphicsAlgorithmChildren()
Returns the value of the 'Graphics Algorithm Children' containment reference list. The list contents are of type `GraphicsAlgorithm`. It is bidirectional and its opposite is '`Parent Graphics Algorithm`'.

If the meaning of the 'Graphics Algorithm Children' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Graphics Algorithm Children' containment reference list.
See Also:
  - `AlgorithmsPackage.getGraphicsAlgorithm_GraphicsAlgorithmChildren()`
  - `getParentGraphicsAlgorithm()`

### getParentGraphicsAlgorithm

GraphicsAlgorithm getParentGraphicsAlgorithm()
Returns the value of the 'Parent Graphics Algorithm' container reference. It is bidirectional and its opposite is '`Graphics Algorithm Children`'.

If the meaning of the 'Parent Graphics Algorithm' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parent Graphics Algorithm' container reference.
See Also:
  - `setParentGraphicsAlgorithm(GraphicsAlgorithm)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_ParentGraphicsAlgorithm()`
  - `getGraphicsAlgorithmChildren()`

### setParentGraphicsAlgorithm

void setParentGraphicsAlgorithm(GraphicsAlgorithm value)
Sets the value of the '`Parent Graphics Algorithm`' container reference.

Parameters:
  `value` - the new value of the 'Parent Graphics Algorithm' container reference.
See Also:
  - `getParentGraphicsAlgorithm()`

### getPictogramElement

PictogramElement getPictogramElement()
Returns the value of the 'Pictogram Element' container reference. It is bidirectional and its opposite is '`Graphics Algorithm`'.

If the meaning of the 'Pictogram Element' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Pictogram Element' container reference.
See Also:
  - `setPictogramElement(PictogramElement)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_PictogramElement()`
  - `PictogramElement.getGraphicsAlgorithm()`

### setPictogramElement

void setPictogramElement(PictogramElement value)
Sets the value of the '`Pictogram Element`' container reference.

Parameters:
  `value` - the new value of the 'Pictogram Element' container reference.
See Also:
  - `getPictogramElement()`

### getWidth

int getWidth()
Returns the value of the 'Width' attribute.

If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Width' attribute.
See Also:
  - `setWidth(int)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_Width()`

### setWidth

void setWidth(int value)
Sets the value of the '`Width`' attribute.

Parameters:
  `value` - the new value of the 'Width' attribute.
See Also:
  - `getWidth()`

### getHeight

int getHeight()
Returns the value of the 'Height' attribute.

If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Height' attribute.
See Also:
  - `setHeight(int)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_Height()`

### setHeight

void setHeight(int value)
Sets the value of the '`Height`' attribute.

Parameters:
  `value` - the new value of the 'Height' attribute.
See Also:
  - `getHeight()`

### getX

int getX()
Returns the value of the 'X' attribute.

If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'X' attribute.
See Also:
  - `setX(int)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_X()`

### setX

void setX(int value)
Sets the value of the '`X`' attribute.

Parameters:
  `value` - the new value of the 'X' attribute.
See Also:
  - `getX()`

### getY

int getY()
Returns the value of the 'Y' attribute.

If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Y' attribute.
See Also:
  - `setY(int)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_Y()`

### setY

void setY(int value)
Sets the value of the '`Y`' attribute.

Parameters:
  `value` - the new value of the 'Y' attribute.
See Also:
  - `getY()`

### getStyle

Style getStyle()
Returns the value of the 'Style' reference.

If the meaning of the 'Style' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Style' reference.
See Also:
  - `setStyle(Style)`
  - `AlgorithmsPackage.getGraphicsAlgorithm_Style()`

### setStyle

void setStyle(Style value)
Sets the value of the '`Style`' reference.

Parameters:
  `value` - the new value of the 'Style' reference.
See Also:
  - `getStyle()`